Loading...
Searching...
No Matches
helpers.cpp File Reference
`#include <cstdint>`
`#include <cstring>`
`#include <sstream>`
`#include "ada/checkers-inl.h"`
`#include "ada/common_defs.h"`
`#include "ada/helpers.h"`
`#include "ada/scheme.h"`
`#include "ada/state.h"`

Go to the source code of this file.

## Namespaces

namespace | ada
namespace | ada::helpers
| Includes the definitions for helper functions.

## Functions

ada_unused std::string | ada::helpers::get_state (ada::state s)
ada_really_inline int | ada::helpers::trailing_zeroes (uint32_t input_num) noexcept
ada_really_inline size_t | ada::helpers::find_next_host_delimiter_special (std::string_view view, size_t location) noexcept
ada_really_inline size_t | ada::helpers::find_next_host_delimiter (std::string_view view, size_t location) noexcept
ada_warn_unused std::string | ada::to_string (ada::state s)

## Variables

static constexpr std::array< uint8_t, 256 > | ada::helpers::special_host_delimiters
static constexpr std::array< uint8_t, 256 > | ada::helpers::host_delimiters
static constexpr std::array< uint8_t, 256 > | ada::helpers::authority_delimiter_special
static constexpr std::array< uint8_t, 256 > | ada::helpers::authority_delimiter